Name:           animal-sniffer
Version:        1.6
Release:        6%{?dist}
Summary:        Tools to assist verifying backward compatibility of Java classes

Group:          Development/Tools
License:        MIT
URL:            http://mojo.codehaus.org/animal-sniffer/

# svn export \
#     http://svn.codehaus.org/mojo/tags/animal-sniffer-parent-1.6 animal-sniffer-1.6
# tar caf animal-sniffer-1.6.tar.xz animal-sniffer-1.6
Source0:        %{name}-%{version}.tar.xz
Source1:        %{name}.sh

Patch0:         0001-add-asm-dependency-to-maven-plugin.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch

BuildRequires:  maven2
BuildRequires:  maven-install-plugin
BuildRequires:  maven-enforcer-plugin
BuildRequires:  maven-invoker-plugin
BuildRequires:  maven-site-plugin
BuildRequires:  maven-shade-plugin
BuildRequires:  maven-resources-plugin
BuildRequires:  maven-surefire-plugin
BuildRequires:  maven-plugin-plugin
BuildRequires:  maven-plugin-cobertura
BuildRequires:  maven-plugin-build-helper
BuildRequires:  maven-javadoc-plugin
BuildRequires:  maven-jar-plugin
BuildRequires:  maven-compiler-plugin
BuildRequires:  plexus-containers-component-javadoc
BuildRequires:  mojo-parent

Requires:       maven2
Requires:       objectweb-asm
Requires:       ant
Requires:       mojo-signatures

Requires:       java >= 1:1.6.0
Requires(post): jpackage-utils
Requires(postun): jpackage-utils

%description
Tools to assist verifying that classes compiled with a newer JDK/API
are compatible with an older JDK/API

%package        javadoc
Summary:        API documentation for %{name}
Group:          Documentation
Requires:       jpackage-utils

%description    javadoc
%{summary}.

%prep
%setup -q
%patch0 -p1

%build
export MAVEN_REPO_LOCAL=$(pwd)/.m2/repository
mkdir -p $MAVEN_REPO_LOCAL
mvn-jpp \
  -Dmaven.repo.local=$MAVEN_REPO_LOCAL \
  install javadoc:aggregate


%install
rm -rf $RPM_BUILD_ROOT
install -d -m 755 $RPM_BUILD_ROOT%{_bindir}
install -pm 755 %{SOURCE1} $RPM_BUILD_ROOT%{_bindir}/%{name}


# jars
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}/%{name}
install -d -m 755 $RPM_BUILD_ROOT%{_mavenpomdir}

%add_to_maven_depmap org.codehaus.mojo %{name}-parent %{version} JPP/%{name} parent
install -pm 644 pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP.%{name}-parent.pom

install -pm 644 %{name}/target/%{name}-*.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-%{version}.jar
%add_to_maven_depmap org.codehaus.mojo %{name} %{version} JPP/%{name} %{name}
install -pm 644 %{name}/pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP.%{name}-%{name}.pom

install -pm 644 %{name}-annotations/target/%{name}-*.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/annotations-%{version}.jar
%add_to_maven_depmap org.codehaus.mojo %{name}-annotations %{version} JPP/%{name} annotations
install -pm 644 %{name}-annotations/pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP.%{name}-annotations.pom

install -pm 644 %{name}-ant-tasks/target/original-%{name}-ant-tasks-*.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/ant-tasks-%{version}.jar
%add_to_maven_depmap org.codehaus.mojo %{name}-ant-tasks %{version} JPP/%{name} ant-tasks
install -pm 644 %{name}-ant-tasks/pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP.%{name}-ant-tasks.pom

install -pm 644 %{name}-enforcer-rule/target/%{name}-enforcer-rule*.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/enforcer-rule-%{version}.jar
%add_to_maven_depmap org.codehaus.mojo %{name}-enforcer-rule %{version} JPP/%{name} enforcer-rule
install -pm 644 %{name}-enforcer-rule/pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP.%{name}-enforcer-rule.pom

install -pm 644 %{name}-maven-plugin/target/%{name}-maven-plugin*.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/maven-plugin-%{version}.jar
%add_to_maven_depmap org.codehaus.mojo %{name}-maven-plugin %{version} JPP/%{name} maven-plugin
install -pm 644 %{name}-maven-plugin/pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP.%{name}-maven-plugin.pom

install -pm 644 java-boot-classpath-detector/target/java-boot-classpath-detector*.jar $RPM_BUILD_ROOT%{_javadir}/java-boot-classpath-detector-%{version}.jar
%add_to_maven_depmap org.codehaus.mojo java-boot-classpath-detector %{version} JPP java-boot-classpath-detector
install -pm 644 java-boot-classpath-detector/pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP-java-boot-classpath-detector.pom

(cd $RPM_BUILD_ROOT%{_javadir}/%{name} && for jar in *-%{version}*; do ln -sf ${jar} `echo $jar| sed "s|-%{version}||g"`; done)
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}*; do ln -sf ${jar} `echo $jar| sed "s|-%{version}||g"`; done)

# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink



%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_maven_depmap

%postun
%update_maven_depmap


%files
%defattr(-,root,root,-)
%{_bindir}/%{name}
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%{_javadir}/%{name}
%{_javadir}/*.jar

%files javadoc
%defattr(-,root,root,-)
%doc %{_javadocdir}/%{name}*



%changelog
* Mon Nov 22 2010 Stanislav Ochotnicky <sochotnicky@redhat.com> - 1.6-6
- Fix main pom filename (Resolves rhbz#655786)

* Mon Oct 11 2010 Stanislav Ochotnicky <sochotnicky@redhat.com> - 1.6-5
- Add mojo-signatures to Requires

* Fri Oct  1 2010 Stanislav Ochotnicky <sochotnicky@redhat.com> - 1.6-4
- Remove jtidy depmap (not needed anymore)

* Fri Sep 17 2010 Stanislav Ochotnicky <sochotnicky@redhat.com> - 1.6-3
- Add asm-all dependency to maven plugin
- Add jtidy depmap

* Fri Sep 17 2010 Stanislav Ochotnicky <sochotnicky@redhat.com> - 1.6-2
- Un-comment mojo-parent BR forgotten from testing

* Mon Sep  6 2010 Stanislav Ochotnicky <sochotnicky@redhat.com> - 1.6-1
- Initial version of the package

